Status: Open

Priority: High

Assignee:

Category: Authentication system

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Debian Stretch 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25569

Description

Hi,

This morning, I updated my computer which updated my version 2.18.14 of QGIS to version 2.18.15. 

Since this update, I can no longer connect to a PostGIS database that requires the ssl (sslmode = require) mode.

Error message is: ssl error: certificate validate failed

.

I tried with a downgrade to previous ltr (2.14.11) and it works.

Any idea?

Thanks.

History

#1 - 2018-01-02 08:31 PM - Brian Freed

I can confirm this on Windows 64-bit as well.  Versions 2.18.14 and earlier work fine. 

Broken on 2.18.15.

Error message: "ssl certificate verify failed" 

If I change PostGIS connection properties to sslmode = disabled, then it connects OK.

#2 - 2018-01-25 09:24 AM - Alessandro Pasotti

- Affected QGIS version changed from master to 2.18.15

- Regression? changed from No to Yes

#3 - 2018-02-27 03:36 PM - Frédéric CLOITRE

- File Sélection_026.png added

Tested with last QGIS (3.0.0-3). The problem persist (cf. screenshot).

#4 - 2018-03-01 11:01 AM - Giovanni Manghi

- Category changed from DB Manager to Data Provider/PostGIS

- Affected QGIS version changed from 2.18.15 to 3.0.0
#5 - 2018-03-19 06:18 PM - Frédéric CLOITRE

Hi,

Is there any solutions? using hostssl to connect qgis on my postgresql server is the only simple solution to get a secure connections for my users.

Best regards.

Thanks

Fred C.

#6 - 2018-05-31 10:53 AM - Frédéric CLOITRE

Problem is still present on QGIS 3.0.3 (tested on windows 7 64 pro)

#7 - 2018-06-03 07:44 PM - Max Bohnet

In QGIS 3.0.3 i can add a postgresql-server with username, password and SSL=required without problems.

However, when i convert this to a authentification configuration in order to avoid the password to be stored in the .qgis project file, the 

ssl error: certificate validate failed

appears.

#8 - 2018-06-29 03:42 PM - Brian Freed

Max might be on to something

We are also using authentication configurations to avoid passwords in .qgs files.

(Error still present both in 2.18.21 LTR and in 3.2.0)

#9 - 2018-12-28 12:21 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#10 - 2018-12-28 02:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.
Please change status to "feedback" when needed.

#11 - 2018-12-29 01:53 PM - Frédéric CLOITRE

- File Saisir les identifiants_263.png added

I just tried with latest QGIS release (3.4.3 on debian stretch). I still have the same problem. This only happens when using authencation system. It works

normally while using basic authentication (with id and password) on database connection window, or even with pg_service.

Giovanni Manghi wrote:

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#12 - 2018-12-31 02:48 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Category changed from Data Provider/PostGIS to Authentication system

- Affected QGIS version changed from 3.0.0 to 3.4.3
